require 'rubygems'
require 'bundler'
begin
  Bundler.setup(:default, :development)
rescue Bundler::BundlerError => e
  $stderr.puts e.message
  $stderr.puts "Run `bundle install` to install missing gems"
  exit e.status_code
end
require 'minitest/autorun'
require 'mocha'

$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'runpuppet'

def self.fixture_path(path)
  "test/fixtures/#{path}"
end


def create_test_context(options={})
  ctx = Dim::Container.new

  ctx.register(:config) do
    Runpuppet::Config.new(fixture_path('runpuppet.yml'))
  end

  ctx.register(:client) do |context|
    Runpuppet::Client.new(context)
  end

  ctx.register(:agent) do |context|
    Runpuppet::Agent.new(context)
  end

  ctx.register(:run_options) do
    options
  end

  ctx.register(:logger) do
    Runpuppet::Logger
  end
  return ctx
end

TestContext = create_test_context({})
